Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

List all remembered ArchiMate export reports.

List all remembered ArchiMate export reports. Lists the ArchiMate exports this warehouse remembers, newest first.

Security: Manager or Designer of the process space.

GET/v1/warehouses/{warehouseId}/archimate/export/reports
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

Query parameters
onlyOwnbooleanrequired

true to list only exports started by the calling user

limitinteger<int32>required

maximum number of reports to list

Responses
200

the listed export reports, newest first

Array of ArchimateExportReportSummary
changedElementsinteger<int32>required
droppedPropertiesinteger<int32>required
droppedRelationshipsinteger<int32>required
failurestring
finishedHistory
Show properties
atstringrequired
bystringrequired
idstringrequired
omittedProcessDraftsinteger<int32>required
readElementsinteger<int32>required
skippedElementsinteger<int32>required
snapshotSizeinteger<int32>required
startedHistory
Show properties
atstringrequired
bystringrequired
statusstringrequired
vanishedElementsinteger<int32>required
writtenElementsinteger<int32>required
writtenRelationshipsinteger<int32>required
403

Forbidden: insufficient permissions

string
404

Warehouse not found

string
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/archimate/export/reports?onlyOwn=true&limit=0' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY'
Response
[
  {
    "changedElements": 0,
    "droppedProperties": 0,
    "droppedRelationships": 0,
    "failure": "string",
    "finished": {
      "at": "string",
      "by": "string"
    },
    "id": "string",
    "omittedProcessDrafts": 0,
    "readElements": 0,
    "skippedElements": 0,
    "snapshotSize": 0,
    "started": {
      "at": "string",
      "by": "string"
    },
    "status": "string",
    "vanishedElements": 0,
    "writtenElements": 0,
    "writtenRelationships": 0
  }
]